//
//  ViewController.swift
//  El Feneri
//
//  Created by Emirhan Erdogan on 6.06.2020.
//  Copyright © 2020 TurkishKit. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // MARK: - UI Elements
    @IBOutlet var lightButton: UIButton!
    
    // MARK: - Properties
    var lightOn = true
    
    // MARK: - Life Cycle
    override func viewDidLoad() {
        super.viewDidLoad()
        updateUI()
    }
    
    // MARK: - Actions
    @IBAction func buttonTapped(_ button: UIButton) {
        lightOn.toggle() // true ise false, false ise true yapar.
        updateUI()
    }
    
    // MARK: - Functions
    func updateUI() {
        view.backgroundColor = lightOn ? .white : .black
        
        // Üstteki Ternary Operator yapısı sayesinde, alttaki bu görece büyük if yapısına gerek kalmıyor. Çünkü ikisi de aynı işi yapıyor. 😉
        /*
         if lighOn {
         // Işık açık olmalı
         view.backgroundColor = .white
         lightButton.setTitle("Off", for: .normal)
         }else {
         // Işık kapalı olmalı
         view.backgroundColor = .black
         lightButton.setTitle("On", for: .normal)
         }
         */
    }
}

